Bug 53465 - child processes segfault on invalid NameVirtualHost config
Summary: child processes segfault on invalid NameVirtualHost config
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-09 22:29 UTC by bastiaan
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-21 10:09:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description bastiaan 2001-09-09 22:29:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010809

Description of problem:
If one uncomments the line "NameVirtualHost *" in the original httpd.conf,
Apache will start without complaining, but the httpd child processes will
segfault upon accepting a connection from a client

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.perl -pi -e 's/#NameVirtualHost/NameVirtualHost/' /etc/httpd/conf/httpd.conf
2.service httpd start
3.telnet localhost 80
	

Actual Results:  in /var/log/httpd/error_log:
[Mon Sep 10 02:40:51 2001] [notice] child pid 2485 exit signal Segmentation
fault (11)


Expected Results:  Either a refusal by apache to start up or a an error
HTML page returned to the client.


Additional info:

httpd -t does give a warning, but not an error:

[Mon Sep 10 02:50:48 2001] [warn] NameVirtualHost *:80 has no VirtualHosts
Syntax OK

Comment 1 Joe Orton 2004-09-21 10:09:29 UTC
Thanks for the report.  This bug is no longer present in the Apache
httpd 2.0 packages in Red Hat Enterprise Linux and Fedora Core.



Note You need to log in before you can comment on or make changes to this bug.